Create workbook

Creates a new workbook.

Request

POST

http://<хост_on-premises>/rpc/createWorkbook

Headers

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 2

Example: 2

Body

application/json
{
  "collectionId": "example",
  "title": "example",
  "description": "example"
}

Name

Description

title

Type: string

Title of the workbook.

Example: example

collectionId

Type: string | null

ID of the collection in which to create the workbook.

Example: example

description

Type: string

Example: example

Responses

200 OK

Response

Body

application/json
{
  "workbookId": "example",
  "collectionId": "example",
  "title": "example",
  "description": "example",
  "tenantId": "example",
  "meta": {
    "importId": "example"
  },
  "createdBy": "example",
  "createdAt": "example",
  "updatedBy": "example",
  "updatedAt": "example",
  "status": "creating",
  "operation": {
    "id": "example",
    "description": "example",
    "createdBy": "example",
    "createdAt": {
      "seconds": "example",
      "nanos": 0.5
    },
    "modifiedAt": {
      "seconds": "example",
      "nanos": 0.5
    },
    "metadata": {},
    "done": true
  }
}

Name

Description

collectionId

Type: string | null

ID of the collection the workbook belongs to.

Example: example

createdAt

Type: string

Creation timestamp.

Example: example

createdBy

Type: string

ID of the user who created the workbook.

Example: example

description

Type: string | null

Description of the workbook.

Example: example

meta

All of 2 types
  • Type: object

    importId

    Type: string

    ID of the workbook import operation.

    Example: example

    Example
    {
      "importId": "example"
    }
    
  • Type: object

    [additional]

    Type: unknown

    Example: null

    Example
    {}
    

Metadata associated with the workbook.

Example
{
  "importId": "example"
}

operation

Type: DatalensOperation

Asynchronous datalens operation.

Example
{
  "id": "example",
  "description": "example",
  "createdBy": "example",
  "createdAt": {
    "seconds": "example",
    "nanos": 0.5
  },
  "modifiedAt": {
    "seconds": "example",
    "nanos": 0.5
  },
  "metadata": {},
  "done": true
}

tenantId

Type: string

ID of the DataLens tenant.

Example: example

title

Type: string

Title of the workbook.

Example: example

updatedAt

Type: string

Last update timestamp.

Example: example

updatedBy

Type: string

ID of the user who last updated the workbook.

Example: example

workbookId

Type: string

Unique identifier of the workbook.

Example: example

status

Type: string

Status of the workbook.

Enum: creating, deleting, active, deleted

DatalensOperation

Asynchronous datalens operation.

Name

Description

createdAt

Type: object

seconds

Type: string

Number of seconds since the Unix epoch.

Example: example

nanos

Type: number

Fractional seconds in nanoseconds.

Operation creation timestamp.

Example
{
  "seconds": "example",
  "nanos": 0.5
}

createdBy

Type: string

ID of the user who created the operation.

Example: example

description

Type: string

Description of the operation.

Example: example

done

Type: boolean

Indicates if the operation has completed.

id

Type: string

Unique identifier of the operation.

Example: example

metadata

Type: object

Metadata associated with the operation.

Example
{}

modifiedAt

Type: object

seconds

Type: string

Number of seconds since the Unix epoch.

Example: example

nanos

Type: number

Fractional seconds in nanoseconds.

Operation last modification timestamp.

Example
{
  "seconds": "example",
  "nanos": 0.5
}
Example
{
  "id": "example",
  "description": "example",
  "createdBy": "example",
  "createdAt": {
    "seconds": "example",
    "nanos": 0.5
  },
  "modifiedAt": {
    "seconds": "example",
    "nanos": 0.5
  },
  "metadata": {},
  "done": true
}
Предыдущая
Следующая